

---@param theunit CMO__Unit @ a unit wrapper 
---@param theside CMO__Side @ a side wrapper
---@return boolean
function doStuff(theunit, theside)
    if theunit ==nil or theside ==nil then  return false; end

    ---@type CMO__UnitUpdate
    local changes = {};
    changes.guid = theunit.guid; 
    changes.group = "Jewel"; changes.proficiency = 'Ace'; changes.newName="Nena-99"
    changes.base = 'MYGUID-GirlsJustWantToHaveFun';  changes.outofcomms = true;

    local c = theunit.course ---@type CMO__TableOfWaypoints
    for k,v in pairs(c) do ---@type CMO__Waypoint
        if v.description == "Motley Crue" then
            ScenEdit_SetUnit(changes);
        end
    end
    if theunit.group ~=nil then print(theunit.group.unitlist); end

    ---@type CMO__UpdateUnit 
    local thingToAdd = {}; thingToAdd.mode = "add_sensor"; thingToAdd.dbid = '581' 
    thingToAdd.arc_detect=CMO__Constants.ArcFull(); thingToAdd.arc_track = CMO__Constants.ArcFull()
    local retval = ScenEdit_UpdateUnit(thingToAdd); ---@type CMO__Unit
    
    --Lets work with some events
    
    
    ---@type CMO__Event
    local ev = ScenEdit_GetEvent("Hand In My Pocket");
    if ev.isActive == false then 
        local updatervalues = {} ---@type CMO__ActionUpdate
        updatervalues.Mode = "add"; updatervalues.Description = "Play Axel F"; updatervalues.Type = "LuaScript"; updatervalues.ScriptText = "ScenEdit_UseAttachment('GUIDTOAXELF');"

        local retval1 = ScenEdit_SetAction(updatervalues) ---@type CMO__TCA_ReturnTable 
        local tcaUp = {}; ---@type CMO__EventTCAUpdate
        tcaUp.mode = "replace"; tcaUp.description = "Play Hand In My Pocket"; tcaUp.ReplacedBy=retval1.actions.LuaScript.ID;
        local retval2 = ScenEdit_SetEventAction(ev.guid,tcaUp); ---@type CMO__TCA_ReturnTable

        local newTrig = {} ---@type CMO__TriggerUpdate;
        local tgFilter = {} ---@type CMO__TargetFilter-UnitsInArea
        tgFilter.TARGETTYPE = CMO__Constants.UnitType.Aircraft; tgFilter.TARGETSUBTYPE = CMO__Constants.UnitAircraftSubType.Electronic_Warfare
        tgFilter.TARGETSIDE = VP_GetSide('playerside').guid;
        newTrig.Mode= "add"; newTrig.Type ="UnitDetected"; newTrig.Area = {'RP-1,RP-2,RP-3,RP-4'}; newTrig.TargetFilter=tgFilter; newTrig.Description = "Detected in Beveryly Hills"

        local retval3 = ScenEdit_SetTrigger(newTrig);
        tcaUp = {}; tcaUp.mode = "add"; tcaUp.guid = retval3.triggers.UnitDetected.ID;
        local retval2 = ScenEdit_SetEventAction(ev.guid,tcaUp); ---@type CMO__TCA_ReturnTable

        ev.description = "Axel F"
        ev.isActive = true; 
    end

    --1147.35 update testing
    local somecontact = ScenEdit_GetContact({side="someside",guid="someguid"})
    local somedetections = somecontact.lastDetections;
    for k,v in pairs(somedetections) do
        print(v.detect_sensor_guid);  --v autocompletes ok knows somedections is a table of detection entries.
    end
    local mag = theunit:getUnitMagazine("someMagGuid")
    print(mag.name); --mag autocompletes for type ok
    local wpns = mag.weapons
    for k,v in pairs(wpns) do
        print(v.wpn_current); --v autocompeltes ok
    end
    local mount = theunit:getUnitMountMagazine("someMountGuid")
    print(mount.name) --mount autocompletes for type ok.
    wpns = mount.weapons --reuses same structure as mags
    for k,v in pairs(wpns) do
        print(v.wpn_current); --v autocompletes ok
    end
    local scene = VP_GetScenario();
    scene:ResetLossExp();
    scene:ResetScore();

end